%define name    booh
%define version 0.8.6
%define release %mkrel 4
%define	title       Booh
%define	longtitle   Web-Album generator

%{expand:%%define ruby_libdir %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}
%{expand:%%define ruby_archdir %(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")}

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Web-Album generator
License:        GPL
Group:          Graphics
URL:            http://www.booh.org
Source:         http://www.booh.org/packages/%{name}-%{version}.tar.bz2
Patch0:         %{name}-0.8.6.fixedruby.patch
Patch1:         %{name}-0.8.6.gtkfix.patch
Requires:       ruby >= 1.8
Requires:       ruby-gtk2 >= 0.12
Requires:       ruby-gettext >= 0.8.0
Requires:       mencoder
Requires:       ImageMagick
BuildRequires:  ruby-devel
BuildRequires:  ruby-gnome2-devel
BuildRequires:  gettext
BuildRequires:  ImageMagick
BuildRequires:  gdk-pixbuf-devel 
BuildRoot:      %{_tmppath}/%{name}-%{version}


%description
Yet another Web-Album generator. Highlights:

  * automatic rotation of portrait images thanks to information
    put by digital camera in .jpg file
  * immediate display of images (preloading in browser)
  * keep position of "next/previous" hyperlinks in browser
    between images
  * advanced video support (thumbnailing etc)
  * clever use of the whole space of a typical browser window
    (the need to scroll portrait images is stupid)
  * themability
  * sub-albums support
  * remember your preferred size of thumbnails accross sub-albums
  * multi-processor support
  * a GUI to input captions, rotate, reorder and remove
    images FAST (extensive use of keyboard shortcuts)

%prep
%setup -q
%patch0 -p 1
%patch1 -p 1

%build
ruby setup.rb config
ruby setup.rb setup
cd ext
ruby extconf.rb
make

%install
rm -rf %buildroot
ruby setup.rb install --prefix=%buildroot
cd ext
make install DESTDIR=%buildroot libdir=%buildroot%{_libdir} archdir=%buildroot%ruby_archdir
cd ..

mkdir -p %{buildroot}%{_menudir}
cat << "EOF" > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
    needs=X11 \
    section=Multimedia/Graphics \
    command="%{_bindir}/booh" \
    icon="booh.png" \
    title="%{title}" \
    longtitle="%{longtitle}" \
    xdg="true"
EOF

install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{longtitle}
Exec=%{_bindir}/booh
Icon=booh
Terminal=false
Type=Application
StartupNotify=false
Categories=X-MandrivaLinux-Multimedia-Graphics;Graphics;Photography;
EOF

# icons
mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_liconsdir}
cp icons/booh-16x16.png %{buildroot}%{_miconsdir}/%{name}.png
cp icons/booh-32x32.png %{buildroot}%{_iconsdir}/%{name}.png
cp icons/booh-48x48.png %{buildroot}%{_liconsdir}/%{name}.png

# bash completion
install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 %{name}.bash-completion %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%find_lang %name --all-name 

%post
%{update_menus}

%postun 
%{clean_menus}

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-, root, root)
%doc README
%{_bindir}/*
%{ruby_libdir}/%{name}*
%{ruby_archdir}/*
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_mandir}/*/*
%{_iconsdir}/*.png
%{_iconsdir}/*/*.png
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}

%changelog
* Fri Sep 01 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.6-4mdv2007.0
- Fix XDG migration

* Fri Jul 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.6-3mdv2007.0
- patch1: fix method arguments number in render_pixmap_and_mask()

* Wed Jul 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.6-2mdv2007.0
- patch to drop ruby 1.8.4 warning, as mandriva ruby package has been fixed
- xdg menu
- spec cleanup
- rpmbuildupdate aware
- new URL

* Thu May 04 2006 Lenny Cartier <lenny@mandriva.com> 0.8.6-1mdk
- 0.8.6

* Thu Dec 29 2005 Guillaume Cottenceau 0.8.5-1mdk
- new version

* Wed Dec 14 2005 Guillaume Cottenceau 0.8.4.1-1mdk
- new version (contains a fix for using gtk+-2.8.9 - probably)

* Sun Dec 04 2005 Guillaume Cottenceau 0.8.4-2mdk
- new version (use -2mdk because upload scripts partially accepted 0.8.4-1mdk already)

* Mon Nov 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.3-2mdk
- Fix BuildRequires
- %%mkrel

* Tue Sep 27 2005 Guillaume Cottenceau 0.8.3-1mdk
- new version
- don't depend on transcode (is not in main or contrib)
- don't depend on exif (is not needed anymore)
- depend on ImageMagick (this was missing)
- add icons

* Sun Aug 14 2005 Guillaume Cottenceau 0.8.2-1mdk
- new version

* Tue Aug 02 2005 Guillaume Cottenceau 0.8.1-1mdk
- new version (with bash-completion thx guillomovitch)

* Sat Jul 30 2005 Guillaume Cottenceau 0.8.0-1mdk
- new version

* Fri Jun 17 2005 Guillaume Cottenceau 0.7.1-1mdk
- new version

* Thu Jun 16 2005 Guillaume Cottenceau 0.7.0-1mdk
- new version

* Mon May 23 2005 Guillaume Cottenceau 0.6.0-1mdk
- new version

* Sun May  8 2005 Guillaume Cottenceau 0.5.2-1mdk
- new version

* Sun May  8 2005 Guillaume Cottenceau 0.5.1-1mdk
- new version

* Sat May  7 2005 Guillaume Cottenceau 0.5.0-1mdk
- new version

* Sun Apr 17 2005 Guillaume Cottenceau 0.4.0-1mdk
- new version

* Sat Apr 09 2005 Guillaume Cottenceau 0.3.0-1mdk
- new version

* Fri Apr 01 2005 Guillaume Cottenceau 0.2.0-1mdk
- new version

* Mon Mar 28 2005 Guillaume Cottenceau 0.1.0-1mdk
- first mdk package
